SQL-инъекция в WordPress Zingiri Web Shop

Дата публикации:
20.08.2012
Дата изменения:
20.08.2012
Всего просмотров:
1825
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:N/AC:L/Au:N/C:P/I:P/A:N/E:U/RL:O/RC:C) = Base:6.4/Temporal:4.7
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
WordPress Zingiri Web Shop Plugin 2.x
Уязвимые версии: WordPress Zingiri Web Shop 2.4.7, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольные SQL команды в базе данных приложения.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "fws_cust" или "fws_guest" в сценарии index.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

URL производителя: http://wordpress.org/extend/plugins/zingiri-web-shop/

Решение: Установите последнюю версию 2.4.8 с сайта производителя.

Ссылки: http://wordpress.org/extend/plugins/zingiri-web-shop/changelog/
http://plugins.trac.wordpress.org/changeset/585860/zingiri-web-shop

или введите имя

CAPTCHA